%define extraversion %nil

Summary:	Command line utilities to access digital cameras
Name:		gphoto2
Version:	2.5.28
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphics/Photography
Url:		https://sourceforge.net/projects/gphoto/
Source0:	https://downloads.sourceforge.net/gphoto/%{name}-%{version}%{?extraversion:%extraversion}.tar.bz2
Patch1:		use-CDK_CONST-to-match-whatever-const-mode-cdk-was-built-.patch
Requires:	libgphoto-common
BuildRequires:	pkgconfig(libgphoto2) >= %{version}
BuildRequires:	cdk-devel
BuildRequires:	pkgconfig(libexif) >= 0.3.2
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	libaa-devel
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(readline)

%description
The gPhoto2 project is a universal, free application and library
framework that lets you download images from several different
digital camera models, including the newer models with USB
connections. Note that
a) for some older camera models you must use the old "gphoto" package.
b) for USB mass storage models you must use the driver in the kernel.

This package contains the command-line utility gphoto2.

%prep
%autosetup -p1 -n %{name}-%{version}%{?extraversion:%extraversion}

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS ChangeLog README TODO gphoto2/test-hook.sh
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Tue Sep 24 2024 daviddavid <daviddavid> 2.5.28-2.mga10
+ Revision: 2101026
- add debian patch to fix cdk detection

* Fri Mar 18 2022 luigiwalser <luigiwalser> 2.5.28-1.mga9
+ Revision: 1798861
- 2.5.28

* Wed Mar 10 2021 daviddavid <daviddavid> 2.5.27-1.mga9
+ Revision: 1701073
- new version: 2.5.27

* Wed Oct 21 2020 daviddavid <daviddavid> 2.5.26-1.mga8
+ Revision: 1637514
- new version: 2.5.26
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 2.5.23-3.mga8
+ Revision: 1542166
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 2.5.23-2.mga8
+ Revision: 1475959
- rebuild for readline

* Thu Jul 04 2019 daviddavid <daviddavid> 2.5.23-1.mga8
+ Revision: 1418489
- new version: 2.5.23

* Fri Nov 02 2018 daviddavid <daviddavid> 2.5.20-1.mga8
+ Revision: 1327650
- new version: 2.5.20

* Sun Sep 23 2018 umeabot <umeabot> 2.5.17-2.mga7
+ Revision: 1298046
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 luigiwalser <luigiwalser> 2.5.17-1.mga7
+ Revision: 1221314
- 2.5.17

* Tue Jan 02 2018 wally <wally> 2.5.14-2.mga7
+ Revision: 1189436
- rebuild for new readline

* Fri Jul 07 2017 luigiwalser <luigiwalser> 2.5.14-1.mga6
+ Revision: 1109369
- 2.5.14
- fix source URL

* Wed Nov 30 2016 luigiwalser <luigiwalser> 2.5.11-1.mga6
+ Revision: 1071291
- 2.5.11

* Mon May 09 2016 luigiwalser <luigiwalser> 2.5.10-1.mga6
+ Revision: 1011465
- 2.5.10

* Thu Dec 31 2015 luigiwalser <luigiwalser> 2.5.9-1.mga6
+ Revision: 917418
- 2.5.9

* Sun Aug 23 2015 ycantin <ycantin> 2.5.8-1.mga6
+ Revision: 868776
- new version 2.5.8

* Fri Feb 20 2015 anaselli <anaselli> 2.5.6-1.mga5
+ Revision: 816064
- new upstream version 2.5.6

* Wed Oct 15 2014 umeabot <umeabot> 2.5.5-3.mga5
+ Revision: 751094
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.5-2.mga5
+ Revision: 679911
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 luigiwalser <luigiwalser> 2.5.5-1.mga5
+ Revision: 674268
- 2.5.5

* Mon Apr 28 2014 dams <dams> 2.5.4-1.mga5
+ Revision: 618672
- new version 2.5.4

* Sat Feb 15 2014 dams <dams> 2.5.3-1.mga5
+ Revision: 591520
- new version 2.5.3

* Sat Oct 19 2013 umeabot <umeabot> 2.5.2-2.mga4
+ Revision: 523501
- Mageia 4 Mass Rebuild

* Sat May 11 2013 guillomovitch <guillomovitch> 2.5.2-1.mga3
+ Revision: 413016
- new version

* Sat Jan 12 2013 umeabot <umeabot> 2.5.0-3.mga3
+ Revision: 352521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 ovitters <ovitters> 2.5.0-2.mga3
+ Revision: 322373
- clean spec
- fix group

* Sun Aug 05 2012 guillomovitch <guillomovitch> 2.5.0-1.mga3
+ Revision: 278517
- new version

* Mon Jun 04 2012 fwang <fwang> 2.4.14-1.mga3
+ Revision: 253867
- new version 2.4.14

* Mon Jun 20 2011 tv <tv> 2.4.11-1.mga2
+ Revision: 110698
- new release

* Sat Jan 22 2011 blino <blino> 2.4.10-2.mga1
+ Revision: 33321
- fix requires

* Sat Jan 15 2011 blino <blino> 2.4.10-1.mga1
+ Revision: 18851
- remove old conflicts
- imported package gphoto2


* Thu Sep 23 2010 Funda Wang <fwang@mandriva.org> 2.4.10-1mdv2011.0
+ Revision: 580779
- update to new version 2.4.10

  + Frederik Himpe <fhimpe@mandriva.org>
    - Update to new version 2.4.8

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4.7-2mdv2010.1
+ Revision: 488758
- rebuilt against libjpeg v8

* Sun Aug 23 2009 Frederik Himpe <fhimpe@mandriva.org> 2.4.7-1mdv2010.0
+ Revision: 420018
- Update to new version 2.4.7

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 2.4.5-2mdv2010.0
+ Revision: 416657
- rebuilt against libjpeg v7

* Wed May 06 2009 Funda Wang <fwang@mandriva.org> 2.4.5-1mdv2010.0
+ Revision: 372375
- New version 2.4.5

* Wed Feb 25 2009 Thierry Vignaud <tv@mandriva.org> 2.4.3-2mdv2009.1
+ Revision: 344805
- rebuild for new libreadline

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 2.4.3-1mdv2009.1
+ Revision: 324733
- update to new version 2.4.3

* Wed Jul 16 2008 Frederic Crozat <fcrozat@mandriva.com> 2.4.2-1mdv2009.0
+ Revision: 236519
- Release 2.4.2

* Thu May 29 2008 Frederic Crozat <fcrozat@mandriva.com> 2.4.1-1mdv2009.0
+ Revision: 212973
- Release 2.4.1

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 2.4.0-2mdv2008.1
+ Revision: 150231
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 03 2007 Adam Williamson <awilliamson@mandriva.org> 2.4.0-1mdv2008.0
+ Revision: 58526
- drop old obsoletes / provides hackgphoto2 (it's been long enough)
- correct license (it's GPL not LGPL, whatever the template spec says) and use Fedora license policy
- spec clean
- new release 2.4.0

* Wed Jun 13 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.3.1-2mdv2008.0
+ Revision: 38595
- Rebuild with libslang2.
- Small cleanups.


* Sat Dec 30 2006 Pascal Terjan <pterjan@mandriva.org> 2.3.1-1mdv2007.0
+ Revision: 102841
- 2.3.1

* Mon Dec 18 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.3.0-1mdv2007.1
+ Revision: 98462
- 2.3.0

* Tue Dec 05 2006 Jérôme Soyer <saispo@mandriva.org> 2.2.0-3mdv2007.1
+ Revision: 91035
- Import gphoto2

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.2.0-3mdv2007.0
- Rebuild

* Mon Jul 03 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.0-2mdv2007.0
- fix buildrequires
- fix macro-in-%%changelog
- fix prereq-use
- clean %%doc
- fix mixed-use-of-spaces-and-tabs

* Sat Jul 01 2006 Till Kamppeter <till@mandriva.com> 2.2.0-1mdv2007.0
- Updated to GPhoto2 2.2.0.

* Wed May 17 2006 Till Kamppeter <till@mandriva.com> 2.1.99-3mdk
- Added versioned "BuildRequires: libgphoto-devel >= 2.1.99", as
  gphoto2 2.1.99 does not work with older versions of libgphoto2.

* Mon May 15 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.1.99-2mdk
- add BuildRequires: libpopt-devel

* Fri May 12 2006 Till Kamppeter <till@mandriva.com> 2.1.99-1mdk
- Updated to GPhoto2 2.1.99.
- Introduced %%mkrel.

* Sat Sep 03 2005 Olivier Blin <oblin@mandriva.com> 2.1.6-3mdk
- drop hotplug requirement, libgphoto-hotplug requires udev

* Tue Jun 28 2005 Till Kamppeter <till@mandriva.com> 2.1.6-2mdk
- Updated to GPhoto2 2.1.6.

* Fri Apr 01 2005 Till Kamppeter <till@mandrakesoft.com> 2.1.5-3mdk
- Added "Requires: libgphoto-hotplug" (bug 15135).

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.5-2mdk
- rebuild for new readline
- get rid of comments stating the obvious

* Thu Dec 16 2004 Till Kamppeter <till@mandrakesoft.com> 2.1.5-1mdk
- Updated to GPhoto2 2.1.5.

* Sat Nov 27 2004 Till Kamppeter <till@mandrakesoft.com> 2.1.5-0.rc1.1mdk
- Updated to GPhoto2 2.1.5rc1.

* Sat Jul 24 2004 Marcel Pol <mpol@mandrake.org> 2.1.4-2mdk
- build against new slang

* Fri Jan 23 2004 Till Kamppeter <till@mandrakesoft.com> 2.1.4-1mdk
- Updated to GPhoto2 2.1.4.

* Wed Jan 14 2004 Till Kamppeter <till@mandrakesoft.com> 2.1.4-0.pre1.1mdk
- Updated to GPhoto2 2.1.4pre1.

